POST api/pcconfigapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PcConfigViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| id | globally unique identifier |
None. |
|
| key | globally unique identifier |
Required |
|
| pc_id | globally unique identifier |
Required |
|
| value | string |
String length: inclusive between 0 and 100 |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"id": "5d892afe-b65d-4ab2-b33f-b43b516534ac",
"key": "aa9983ad-a2e6-4a32-8940-97b9fb199bca",
"pc_id": "63c182ca-4117-416f-abc8-945f08d0ef9e",
"value": "sample string 3"
}
application/xml, text/xml
Sample:
<pc_config xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <id>5d892afe-b65d-4ab2-b33f-b43b516534ac</id> <key>aa9983ad-a2e6-4a32-8940-97b9fb199bca</key> <pc_id>63c182ca-4117-416f-abc8-945f08d0ef9e</pc_id> <value>sample string 3</value> </pc_config>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"e7698d74-506a-4da1-8548-ee982b14e8ab"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">e7698d74-506a-4da1-8548-ee982b14e8ab</guid>